#pragma once
#include <string>
#include <vector>
#include "singleton.h"
using std::vector;
using std::string;
namespace engineapi
{
	class App {
	public:
		bool Loop{true};
		vector<ISystem*> SystemList;
	public:
		App(const string& path);
		~App();
	public:
		void Init();
		void Shutdown();
		void Launch();
		void Update();
		void Render();
	};
}